<?php
include 'system/funcs.php';
include 'system/sys.php';

if ( $us == false ) {
    header( 'location: /login/auth' );
    exit;
}

$items          = DB::$dbs->querySingle( "SELECT COUNT(id) FROM log_auth WHERE us = ? ", array(
     $us[ 'id' ] 
) );
$items_per_page = 10;
$pages          = ceil( $items / $items_per_page );
if ( $page < 1 ) {
    $page = 1;
}
if ( $page > $pages ) {
    $page = $pages;
}
$start = $page * $items_per_page - $items_per_page;

$i = isset( $_GET[ 'i' ] ) ? htmlentities( $_GET[ 'i' ] ) : false;
switch ( $i ) {
    default:
        H( 'История авторизаций', 'История авторизаций' );
        echo '<a class="raz" href="/log_auth/ok"><img src="' . $img . '" alt="*"/> Удачные (' . DB::$dbs->query( "SELECT * FROM `log_auth` WHERE `us` = ? AND `type` != ?", array(
             $us[ 'id' ],
            0 
        ) )->rowCount() . ')</a>
<a class="raz" href="/log_auth.php?no"><img src="' . $img . '" alt="*"/> Неудачные (' . DB::$dbs->query( "SELECT * FROM `log_auth` WHERE `us` = ? AND `type` = ?", array(
             $us[ 'id' ],
            0 
        ) )->rowCount() . ')</a>
<div class="access">Мои данные:
<div class="error"><b>IP:</b> ' . $us[ 'ip' ] . '<br /><b>Софт:</b> ' . $us[ 'soft' ] . '</div></div>';
        break;

    case 'ok':
        H( 'Удачные входы', 'Удачные входы' );
        $query = DB::$dbs->query( "SELECT * FROM log_auth WHERE us =? AND type !=? ORDER BY time DESC LIMIT $start, $items_per_page", array(
             $us[ 'id' ],
            0 
        ) );
        if ( $query->rowCount() == 0 ) {
            echo '<div class="error">История пуста </div>';
        } else {
            while ( $logs = $query->fetch() ) {
                echo '<div class="block">
            <b>Время:</b> ' . datef( $logs[ 'time' ] ) . '<br />';
                $types = ( $logs[ 'type' ] == 1 ) ? 'post' : ( ( $logs[ 'type' ] == 2 ) ? 'cookies' : 'post' );
                echo '<b>Тип авторизации:</b> ' . $types . '<br />
            <b>IP: </b>' . $logs[ 'ip' ];
                echo ( ( $us[ 'level' ] != 0 ) ? ' <a href="/adm/search_ip.php/logs/' . $logs[ 'ip' ] . '"> [?] </a>' : '' );
                echo '<br/><b>Софт:</b> ' . $logs[ 'ua' ] . '<br /> </div>';
            }
            echo page( '/log_auth/ok' );
        }
        echo '<a class="block" href="/log_auth/no/">Неудачные</a>';
        break;

    case 'no':
        H( 'Неудачные входы', 'Неудачные входы' );
        $query = DB::$dbs->query( "SELECT * FROM log_auth WHERE us =? AND type =? ORDER BY time DESC LIMIT $start, $items_per_page", array(
             $us[ 'id' ],
            0 
        ) );
        if ( $query->rowCount() == 0 ) {
            echo '<div class="error">История пуста </div>';
        } else {
            while ( $logs = $query->fetch() ) {
                echo '<div class="block">
            <b>Время:</b> ' . datef( $logs[ 'time' ] ) . '<br />
            <b>IP: </b>' . $logs[ 'ip' ];
                echo ( ( $us[ 'level' ] != 0 ) ? ' <a href="/adm/search_ip.php/logs/' . $logs[ 'ip' ] . '"> [?] </a>' : '' );
                echo '<br/><b>Софт:</b> ' . $logs[ 'ua' ] . '</div></div>';
            }
            echo page( '/log_auth/no' );
        }
        echo '<a class="list1" href="/log_auth/ok/">Удачные</a>';
        break;
}

F ();
?>